RemoteGymp · API v1
การอ้างอิง API
การเข้าถึงและพฤติกรรม
ตัวอย่างอ้างอิงคือเทมเพลต แทนที่ตัวยึดตำแหน่งและตรวจสอบพารามิเตอร์ สิทธิ์ และสคีมาของจุดสิ้นสุดก่อนที่จะเรียกใช้ สำหรับการเขียนที่ไม่แน่นอน ให้ปฏิบัติตามกฎการกู้คืนและลองอีกครั้งของปลายทางนั้น
ต้องมีโทเค็นผู้ถือและการอนุญาตของปลายทาง การเข้าถึงยังคงจำกัดตามขอบเขตข้อมูลประจำตัวของคุณ ตรวจสอบความสามารถก่อนใช้อุปกรณ์หรือการดำเนินการด้านการจัดการ
ผลการค้นหา: 289
ไม่พบผลลัพธ์
กลุ่ม3
GETกลุ่มรายการ/v1/groups
เรียกดูกลุ่มอุปกรณ์ที่ใช้ได้กับข้อมูลรับรองของคุณ
GET /v1/groups ↗mcp.cap.InventoryRead
พารามิเตอร์
pageSize· สอบถาม · ตัวเลือก- จำนวนรายการสูงสุดที่ร้องขอสำหรับหน้านี้ ขีดจำกัดเฉพาะปลายทางอาจลดขนาดหน้า
after· สอบถาม · ตัวเลือก- ตำแหน่งต่อจากการตอบสนองครั้งก่อน ละเว้นหน้าแรก ใช้ตัวกรองเดิมเมื่อดำเนินการต่อ
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/groups' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Browse the device groups available to your credential.",
"operationId": "get_v1_groups",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfGroupResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List groups",
"tags": [
"Groups"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETรับจัดกลุ่ม/v1/groups/{groupId}
อ่านรายละเอียดของกลุ่มอุปกรณ์หนึ่งกลุ่ม
GET /v1/groups/{groupId} ↗mcp.cap.InventoryRead
พารามิเตอร์
groupId· พาธ · ต้องมี- Identifier ของกลุ่มอุปกรณ์ที่จะอ่าน
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/groups/<groupId>' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read details of one device group.",
"operationId": "get_v1_groups_groupId",
"parameters": [
{
"description": "Identifier of the device group to read.",
"in": "path",
"name": "groupId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/GroupResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a group",
"tags": [
"Groups"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETแสดงรายการสมาชิกกลุ่ม/v1/groups/{groupId}/devices
อ่าน ID อุปกรณ์จากสมาชิกที่ได้รับการประเมินครั้งล่าสุดของกลุ่ม ติดตาม next สำหรับสมาชิกเพิ่มเติม
GET /v1/groups/{groupId}/devices ↗mcp.cap.InventoryRead
ความเป็นสมาชิกของเวอร์ชันกลุ่มที่ใช้งานอยู่ที่ได้รับการประเมินครั้งล่าสุด ติดตาม next สำหรับ deviceIds ที่เหลือ; maximumReturned คือขนาดหน้าที่เลือก
พารามิเตอร์
groupId· พาธ · ต้องมี- Identifier ของกลุ่มอุปกรณ์ที่จะอ่าน
pageSize· สอบถาม · ตัวเลือก- จำนวนรายการสูงสุดที่ร้องขอสำหรับหน้านี้ ขีดจำกัดเฉพาะปลายทางอาจลดขนาดหน้า
after· สอบถาม · ตัวเลือก- ตำแหน่งต่อจากการตอบสนองครั้งก่อน ละเว้นหน้าแรก ใช้ตัวกรองเดิมเมื่อดำเนินการต่อ
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/groups/<groupId>/devices' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Membership of the last evaluated active group version. Follow next for remaining deviceIds; maximumReturned is the selected page size.",
"operationId": "get_v1_groups_groupId_devices",
"parameters": [
{
"description": "Identifier of the device group to read.",
"in": "path",
"name": "groupId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/GroupDevicesResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List group members",
"tags": [
"Groups"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}การจัดการ30
POSTสร้างบริษัท/v1/management/companies
เพิ่มบริษัทภายในองค์กรที่ได้รับอนุญาตของคุณ
POST /v1/management/companies ↗mcp.cap.CompaniesManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/companies' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Add a company within your authorised organisation.",
"operationId": "post_v1_management_companies",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfstring"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create a company",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesManage"
]
}POSTลบบริษัท/v1/management/companies/delete
ขอให้ลบบริษัทผ่านมาตรการป้องกันการจัดการที่มีอยู่ ตรวจสอบเป้าหมายอย่างรอบคอบ
POST /v1/management/companies/delete ↗mcp.cap.CompaniesDelete
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/companies/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Request removal of a company through the existing management safeguards. Review the target carefully.",
"operationId": "post_v1_management_companies_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a company",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesDelete"
]
}POSTลบอุปกรณ์/v1/management/devices/delete
ขอลบอุปกรณ์ผ่านขั้นตอนการจัดการ
POST /v1/management/devices/delete ↗mcp.cap.DevicesDelete
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Request device removal through the management workflow.",
"operationId": "post_v1_management_devices_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a device",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesDelete"
]
}POSTย้ายอุปกรณ์/v1/management/devices/move
เปลี่ยนบริษัทหรือการกำหนดไซต์ของอุปกรณ์ภายในขอบเขตที่ได้รับอนุญาต
POST /v1/management/devices/move ↗mcp.cap.DevicesManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"deviceId": "<UUID>",
"siteId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/move' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Change a device's company or site assignment within the permitted scope.",
"operationId": "post_v1_management_devices_move",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationDeviceMove"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Move a device",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesManage"
]
}POSTเพิกถอนการเข้าถึงอุปกรณ์/v1/management/devices/revoke
เพิกถอนการเข้าถึงตัวแทนของอุปกรณ์ที่เลือก
POST /v1/management/devices/revoke ↗mcp.cap.DevicesManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/revoke' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Revoke the selected device's agent access.",
"operationId": "post_v1_management_devices_revoke",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Revoke device access",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesManage"
]
}POSTกู้คืนการเข้าถึงอุปกรณ์/v1/management/devices/unrevoke
ลบสถานะที่ถูกเพิกถอนของอุปกรณ์โดยใช้เวิร์กโฟลว์การจัดการที่ได้รับอนุญาต
POST /v1/management/devices/unrevoke ↗mcp.cap.DevicesManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/unrevoke' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Remove a device's revoked state using the authorised management workflow.",
"operationId": "post_v1_management_devices_unrevoke",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Restore device access",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesManage"
]
}POSTหมุนคีย์การลงทะเบียน/v1/management/enrollment/rotate
แทนที่ข้อมูลรับรองการลงทะเบียนของบริษัท โปรแกรมติดตั้งการลงทะเบียนที่มีอยู่ซึ่งใช้คีย์เก่าจะสูญเสียความสามารถในการลงทะเบียน
POST /v1/management/enrollment/rotate ↗mcp.cap.EnrollmentRotate
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/enrollment/rotate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Replace a company's enrollment credential. Existing enrollment installers using the old key lose enrollment ability.",
"operationId": "post_v1_management_enrollment_rotate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Rotate an enrollment key",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRotate"
]
}POSTขอผู้ติดตั้ง/v1/management/installers
การเตรียมการติดตั้งคิวสำหรับบริษัทและแพลตฟอร์มที่ได้รับอนุญาต
POST /v1/management/installers ↗mcp.cap.EnrollmentManage
สกีมา (OpenAPI)
InstallerPlatform
0 = Windows 1 = Linux 2 = MacOs
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"platform": 0,
"siteId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/installers' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Queue installer preparation for an authorised company and platform.",
"operationId": "post_v1_management_installers",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationInstallerBuild"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Request an installer",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}GETอ่านประวัติการติดตั้ง/v1/management/installers/history
อ่านประวัติการสร้างและการกระจายตัวติดตั้งที่เก็บไว้
GET /v1/management/installers/history ↗mcp.cap.EnrollmentRead
สกีมา (OpenAPI)
InstallerPlatform
0 = Windows 1 = Linux 2 = MacOs
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/history' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read retained installer build and distribution history.",
"operationId": "get_v1_management_installers_history",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/InstallerHistoryItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read installer history",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GETแสดงรายการงานตัวติดตั้ง/v1/management/installers/jobs
อ่านงานตัวติดตั้งที่อยู่ในคิวและสถานะ
GET /v1/management/installers/jobs ↗mcp.cap.EnrollmentRead
สกีมา (OpenAPI)
InstallerPlatform
0 = Windows 1 = Linux 2 = MacOs
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/jobs' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read queued installer jobs and their status.",
"operationId": "get_v1_management_installers_jobs",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/InstallerBuildJobItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List installer jobs",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GETรับสถานะการดำเนินการการจัดการ/v1/management/operations/{operationId}
อ่านสถานะและคงผลลัพธ์ของการเปลี่ยนแปลงการจัดการโดยไม่ต้องทำซ้ำ
GET /v1/management/operations/{operationId} ↗พารามิเตอร์
operationId· พาธ · ต้องมี- ตัวระบุการรับการดำเนินการระดับบนสุด สำรวจใบเสร็จรับเงินนี้เพื่อตรวจสอบความคืบหน้าและผลลัพธ์
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/operations/<operationId>' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read the status and retained result of a management change without repeating it.",
"operationId": "get_v1_management_operations_operationId",
"parameters": [
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get management-operation status",
"tags": [
"Management"
],
"x-required-capabilities": []
}GETอ่านการตั้งค่า/v1/management/settings
อ่านการตั้งค่าการจัดการที่รองรับในขอบเขตที่ได้รับอนุญาตที่ร้องขอ
GET /v1/management/settings ↗mcp.cap.SettingsRead
สกีมา (OpenAPI)
SettingScopeType
0 = Device 1 = Site 2 = Company 3 = Organization
SettingKey
0 = RequireUserConsent 1 = LockComputerOnSessionEnd 2 = OpenSessionsInNewTab 3 = WakeRelay 4 = TerminalExperience 5 = DefaultSessionColorQuality 6 = DefaultSuppressWallpaper 7 = DefaultOptimizeWindowsVisualEffects 8 = DefaultDeviceListLayout 9 = DeviceLocationReporting 10 = NetworkDiscoveryMode 11 = NetworkDiscoveryPolicy 12 = NetworkDiscoveryRetentionPolicy 13 = NetworkDiscoverySensorAssignment 14 = NetworkTcpMonitoringPolicy 15 = NetworkDiscoveryAllowWindowsPublicProfile 16 = NetworkInternetSpeedEnabled 17 = IloMonitoringEnabled 18 = IdracMonitoringEnabled
พารามิเตอร์
scopeType· สอบถาม · ต้องมี- ประเภทของขอบเขตการตั้งค่า ใช้ค่าแจงนับที่ตรงกับขอบเขตที่ต้องการ
scopeId· สอบถาม · ต้องมี- ตัวระบุขอบเขตการตั้งค่าที่เลือกโดย scopeType
key· สอบถาม · ต้องมี- กำลังตั้งค่าคีย์เพื่ออ่าน ใช้ค่าแจงนับสำหรับการตั้งค่าที่ต้องการ
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/settings?scopeType=<scopeType>&scopeId=<scopeId>&key=<key>' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read a supported management setting in the requested authorised scope.",
"operationId": "get_v1_management_settings",
"parameters": [
{
"description": "Kind of settings scope. Use the enum value matching the intended scope.",
"in": "query",
"name": "scopeType",
"required": true,
"schema": {
"$ref": "#/components/schemas/SettingScopeType"
}
},
{
"description": "Identifier of the settings scope selected by scopeType.",
"in": "query",
"name": "scopeId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Setting key to read. Use the enum value for the intended setting.",
"in": "query",
"name": "key",
"required": true,
"schema": {
"$ref": "#/components/schemas/SettingKey"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiSettingValue"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read a setting",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.SettingsRead"
]
}PUTอัพเดตการตั้งค่า/v1/management/settings
เปลี่ยนการตั้งค่าการจัดการที่รองรับภายในขอบเขตที่อนุญาต
PUT /v1/management/settings ↗mcp.cap.SettingsManage
สกีมา (OpenAPI)
SettingKey
0 = RequireUserConsent 1 = LockComputerOnSessionEnd 2 = OpenSessionsInNewTab 3 = WakeRelay 4 = TerminalExperience 5 = DefaultSessionColorQuality 6 = DefaultSuppressWallpaper 7 = DefaultOptimizeWindowsVisualEffects 8 = DefaultDeviceListLayout 9 = DeviceLocationReporting 10 = NetworkDiscoveryMode 11 = NetworkDiscoveryPolicy 12 = NetworkDiscoveryRetentionPolicy 13 = NetworkDiscoverySensorAssignment 14 = NetworkTcpMonitoringPolicy 15 = NetworkDiscoveryAllowWindowsPublicProfile 16 = NetworkInternetSpeedEnabled 17 = IloMonitoringEnabled 18 = IdracMonitoringEnabled
SettingScopeType
0 = Device 1 = Site 2 = Company 3 = Organization
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"key": 0,
"scopeId": "<UUID>",
"scopeType": 0,
"value": "<value>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/management/settings' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Change a supported management setting within the permitted scope.",
"operationId": "put_v1_management_settings",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationSetting"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Update a setting",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.SettingsManage"
]
}POSTสร้างไซต์/v1/management/sites
เพิ่มไซต์ให้กับบริษัทที่ได้รับอนุญาต
POST /v1/management/sites ↗mcp.cap.CompaniesManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"name": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/sites' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Add a site to an authorised company.",
"operationId": "post_v1_management_sites",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationSiteCreate"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create a site",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesManage"
]
}POSTลบไซต์/v1/management/sites/delete
ลบไซต์โดยใช้เวิร์กโฟลว์การจัดการและการตรวจสอบขอบเขต
POST /v1/management/sites/delete ↗mcp.cap.CompaniesDelete
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/sites/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Remove a site using the management workflow and its scope checks.",
"operationId": "post_v1_management_sites_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a site",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesDelete"
]
}PUTเปลี่ยนการเข้าถึงของทีม/v1/management/team/access
อัปเดตขอบเขตและการกำหนดบทบาทที่อนุญาตของสมาชิกในทีม
PUT /v1/management/team/access ↗mcp.cap.TeamAccessManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyIds": [
"<UUID>"
],
"roleKeys": [
"<value>"
],
"userId": "<UUID>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/management/team/access' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Update a team member's permitted scope and role assignments.",
"operationId": "put_v1_management_team_access",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationUserAccess"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change team access",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamAccessManage"
]
}GETรายชื่อทีมเชิญ/v1/management/team/invites
อ่านคำเชิญของทีมและสถานะปัจจุบัน
GET /v1/management/team/invites ↗mcp.cap.TeamRead
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/team/invites' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read team invitations and their current state.",
"operationId": "get_v1_management_team_invites",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/UserInviteDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List team invitations",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamRead"
]
}POSTเชิญสมาชิกในทีม/v1/management/team/invites
ส่งคำเชิญโดยมีสิทธิ์เข้าถึงทีมที่ร้องขอ
POST /v1/management/team/invites ↗mcp.cap.TeamManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"email": "<value>",
"grantOwner": false,
"rmmRoleKeys": [
"<value>"
],
"role": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/invites' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Send an invitation with the requested team access.",
"operationId": "post_v1_management_team_invites",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationUserInvite"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Invite a team member",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}POSTส่งคำเชิญอีกครั้ง/v1/management/team/invites/resend
ส่งคำเชิญทีมที่มีอยู่อีกครั้ง
POST /v1/management/team/invites/resend ↗mcp.cap.TeamManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/invites/resend' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Resend an existing team invitation.",
"operationId": "post_v1_management_team_invites_resend",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Resend an invitation",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}POSTเพิกถอนคำเชิญ/v1/management/team/invites/revoke
ทำให้คำเชิญเข้าร่วมทีมที่ไม่ควรยอมรับอีกต่อไปเป็นโมฆะ
POST /v1/management/team/invites/revoke ↗mcp.cap.TeamManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/invites/revoke' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Invalidate a team invitation that should no longer be accepted.",
"operationId": "post_v1_management_team_invites_revoke",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Revoke an invitation",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}PUTเปลี่ยนชื่อสมาชิกในทีม/v1/management/team/name
อัพเดตชื่อที่แสดงของผู้ใช้ที่เลือก
PUT /v1/management/team/name ↗mcp.cap.TeamManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"displayName": "<value>",
"userId": "<UUID>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/management/team/name' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Update the selected user's display name.",
"operationId": "put_v1_management_team_name",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationUserName"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change a team member's name",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}PUTเปลี่ยนสถานะเจ้าของ/v1/management/team/owner
อัปเดตสถานะเจ้าของของสมาชิกในทีม โดยอยู่ภายใต้การป้องกันการจัดการเจ้าของ
PUT /v1/management/team/owner ↗mcp.cap.TeamOwnerManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"isOwner": false,
"userId": "<UUID>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/management/team/owner' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Update a team member's owner status, subject to owner-management safeguards.",
"operationId": "put_v1_management_team_owner",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationUserOwner"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change owner status",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamOwnerManage"
]
}GETแสดงรายการบทบาทของทีม/v1/management/team/roles
อ่านบทบาทที่กำหนดค่าและการอนุญาต
GET /v1/management/team/roles ↗mcp.cap.TeamRead
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/team/roles' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read configured roles and their permissions.",
"operationId": "get_v1_management_team_roles",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/RmmRoleDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List team roles",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamRead"
]
}PUTบันทึกบทบาทของทีม/v1/management/team/roles
สร้างหรืออัปเดตชื่อและการอนุญาตของบทบาท
PUT /v1/management/team/roles ↗mcp.cap.TeamAccessManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"description": "<value>",
"name": "<value>",
"permissions": 1,
"roleId": "<UUID>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/management/team/roles' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Create or update a role's name and permissions.",
"operationId": "put_v1_management_team_roles",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationRole"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save a team role",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamAccessManage"
]
}POSTลบบทบาท/v1/management/team/roles/delete
ลบบทบาทที่เลือกผ่านการตรวจสอบการจัดการทีม
POST /v1/management/team/roles/delete ↗mcp.cap.TeamAccessManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/roles/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Remove the selected role through the team-management checks.",
"operationId": "post_v1_management_team_roles_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a role",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamAccessManage"
]
}GETรายชื่อผู้ใช้ในทีม/v1/management/team/users
อ่านผู้ใช้ในทีมที่มองเห็นได้จากข้อมูลรับรองการจัดการของคุณ
GET /v1/management/team/users ↗mcp.cap.TeamRead
สกีมา (OpenAPI)
AccountAccessState
0 = Active 1 = TemporarilyLocked 2 = Deactivated
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/team/users' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read team users visible to your management credential.",
"operationId": "get_v1_management_team_users",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/RosterUserDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List team users",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamRead"
]
}POSTปิดใช้งานสมาชิกในทีม/v1/management/team/users/deactivate
ปิดการใช้งานการเข้าถึงของผู้ใช้ผ่านเวิร์กโฟลว์การจัดการทีม
POST /v1/management/team/users/deactivate ↗mcp.cap.TeamManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/users/deactivate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Disable a user's access through the team-management workflow.",
"operationId": "post_v1_management_team_users_deactivate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Deactivate a team member",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}POSTเปิดใช้งานสมาชิกในทีมอีกครั้ง/v1/management/team/users/reactivate
คืนค่าการเข้าถึงทีมของผู้ใช้ที่ไม่ได้ใช้งานที่มีสิทธิ์
POST /v1/management/team/users/reactivate ↗mcp.cap.TeamManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/users/reactivate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Restore an eligible inactive user's team access.",
"operationId": "post_v1_management_team_users_reactivate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Reactivate a team member",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}POSTลบสมาชิกในทีม/v1/management/team/users/remove
ลบผู้ใช้ออกจากทีมที่ได้รับการจัดการโดยใช้การป้องกันที่มีอยู่
POST /v1/management/team/users/remove ↗mcp.cap.TeamManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/users/remove' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Remove a user from the managed team through the existing safeguards.",
"operationId": "post_v1_management_team_users_remove",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Remove a team member",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}POSTปลดล็อคสมาชิกในทีม/v1/management/team/users/unlock
ล้างการล็อกบัญชีผู้ใช้ที่มีสิทธิ์ผ่านขั้นตอนการจัดการ
POST /v1/management/team/users/unlock ↗mcp.cap.TeamManage
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/users/unlock' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Clear an eligible user's account lockout through the management workflow.",
"operationId": "post_v1_management_team_users_unlock",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Unlock a team member",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}การแจ้งเตือน6
GETรายการแจ้งเตือน/v1/alerts
เรียกดูการแจ้งเตือนของจอภาพ การแจ้งเตือนที่ยังไม่ได้รับการแก้ไขจะถูกส่งกลับตามค่าเริ่มต้น ใช้ state=all เพื่อรวมประวัติที่แก้ไขแล้ว
GET /v1/alerts ↗mcp.cap.InventoryRead
สกีมา (OpenAPI)
state
"all" "Open" "Acknowledged" "Resolved"
severity
"Information" "Warning" "Critical" "Recovery"
ประวัติการแจ้งเตือนจอภาพที่พิมพ์แบบแบ่งหน้า ค่าเริ่มต้นไม่ได้รับการแก้ไข state=all มีประวัติที่ได้รับการแก้ไขแล้ว ตัวกรอง companyId และ deviceId ยังคงอยู่ภายในขอบเขตข้อมูลรับรอง
พารามิเตอร์
pageSize· สอบถาม · ตัวเลือก- จำนวนรายการสูงสุดที่ร้องขอสำหรับหน้านี้ ขีดจำกัดเฉพาะปลายทางอาจลดขนาดหน้า
after· สอบถาม · ตัวเลือก- ตำแหน่งต่อจากการตอบสนองครั้งก่อน ละเว้นหน้าแรก ใช้ตัวกรองเดิมเมื่อดำเนินการต่อ
companyId· สอบถาม · ตัวเลือก- ตัวระบุบริษัท พารามิเตอร์การสืบค้นจะจำกัดผลลัพธ์ให้แคบลงเฉพาะบริษัทนี้ มันไม่เคยขยายขอบเขตข้อมูลประจำตัว
deviceId· สอบถาม · ตัวเลือก- ตัวระบุอุปกรณ์ ที่ส่งคืนโดยรายการอุปกรณ์ที่เกี่ยวข้อง เอเจนต์ที่ได้รับการจัดการและอุปกรณ์เครือข่ายที่ค้นพบมีตัวระบุที่แตกต่างกัน
state· สอบถาม · ตัวเลือก- ไม่ต้องส่งคืนการแจ้งเตือนที่เปิดและรับทราบแล้ว ใช้ Open, Acknowledged หรือ Resolved สำหรับสถานะเดียว หรือใช้ทั้งหมดสำหรับทุกสถานะ
severity· สอบถาม · ตัวเลือก- กรองการแจ้งเตือนตามความรุนแรงของการแจ้งเตือน
monitorId· สอบถาม · ตัวเลือก- Identifier ของจอภาพที่จะอ่านหรือกรอง
observedFrom· สอบถาม · ตัวเลือก- รวมการแจ้งเตือนที่สังเกตล่าสุดเมื่อหรือหลังการประทับเวลานี้ รวมถึงออฟเซ็ต UTC
observedTo· สอบถาม · ตัวเลือก- รวมการแจ้งเตือนที่พบล่าสุดก่อนการประทับเวลานี้ จะต้องช้ากว่าเวลาประทับเริ่มต้น
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/alerts' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Paginated typed monitor alert history. Default is unresolved; state=all includes resolved history. companyId and deviceId filters remain inside credential scope.",
"operationId": "get_v1_alerts",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "query",
"name": "deviceId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Omit to return open and acknowledged alerts. Use Open, Acknowledged or Resolved for one state, or all for every state.",
"in": "query",
"name": "state",
"schema": {
"enum": [
"all",
"Open",
"Acknowledged",
"Resolved"
],
"type": "string"
}
},
{
"description": "Filter alerts by notification severity.",
"in": "query",
"name": "severity",
"schema": {
"enum": [
"Information",
"Warning",
"Critical",
"Recovery"
],
"type": "string"
}
},
{
"description": "Identifier of the monitor to read or filter by.",
"in": "query",
"name": "monitorId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Include alerts last observed at or after this timestamp, including a UTC offset.",
"in": "query",
"name": "observedFrom",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "Include alerts last observed before this timestamp. It must be later than the start timestamp.",
"in": "query",
"name": "observedTo",
"schema": {
"format": "date-time",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfAlertResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List alerts",
"tags": [
"Alerts"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTรับทราบการแจ้งเตือน/v1/alerts/{alertId}/acknowledge
ทำเครื่องหมายการแจ้งเตือนที่ยังไม่ได้รับการแก้ไขว่ารับทราบแล้วโดยใช้เวอร์ชันปัจจุบัน เวอร์ชันที่ล้าสมัยจะถูกปฏิเสธ ส่งกลับการรับทราบที่อัปเดตแล้วโดยตรง แต่จะไม่แก้ไขข้อผิดพลาด
POST /v1/alerts/{alertId}/acknowledge ↗mcp.cap.AlertWrite
พารามิเตอร์
alertId· พาธ · ต้องมี- ตัวระบุการแจ้งเตือนที่ส่งคืนโดยจุดสิ้นสุดการแจ้งเตือน
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"revision": 1
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/alerts/<alertId>/acknowledge' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Mark an unresolved alert as acknowledged using its current revision. A stale revision is rejected. Returns the updated acknowledgement directly; it does not fix the fault.",
"operationId": "post_v1_alerts_alertId_acknowledge",
"parameters": [
{
"description": "Identifier of the alert returned by the alerts endpoint.",
"in": "path",
"name": "alertId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RevisionRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AcknowledgementResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Acknowledge an alert",
"tags": [
"Alerts"
],
"x-required-capabilities": [
"mcp.cap.AlertWrite"
]
}GETรับลิงก์ตั๋วการแจ้งเตือน/v1/alerts/{alertId}/ticket
อ่านการอ้างอิงตั๋วภายนอก, URL, สถานะและเวอร์ชันที่แนบมากับการแจ้งเตือน
GET /v1/alerts/{alertId}/ticket ↗mcp.cap.InventoryRead
พารามิเตอร์
alertId· พาธ · ต้องมี- ตัวระบุการแจ้งเตือนที่ส่งคืนโดยจุดสิ้นสุดการแจ้งเตือน
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/alerts/<alertId>/ticket' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read the external ticket reference, URL, state and version attached to an alert.",
"operationId": "get_v1_alerts_alertId_ticket",
"parameters": [
{
"description": "Identifier of the alert returned by the alerts endpoint.",
"in": "path",
"name": "alertId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TicketResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an alert's ticket link",
"tags": [
"Alerts"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}PATCHอัปเดตลิงก์ตั๋วการแจ้งเตือน/v1/alerts/{alertId}/ticket
บันทึกการอ้างอิงตั๋วภายนอกโดยใช้เวอร์ชันที่อ่านล่าสุด การปิดตั๋วไม่สามารถแก้ไขการแจ้งเตือนได้
PATCH /v1/alerts/{alertId}/ticket ↗mcp.cap.AlertWrite
พารามิเตอร์
alertId· พาธ · ต้องมี- ตัวระบุการแจ้งเตือนที่ส่งคืนโดยจุดสิ้นสุดการแจ้งเตือน
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"externalId": "<value>",
"state": "<value>",
"url": "<value>",
"version": 1
}'
Invoke-RestMethod -Method PATCH `
-Uri 'https://api.remotegymp.com/v1/alerts/<alertId>/ticket' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Save an external ticket reference using the last-read version. Closing the ticket does not resolve the alert.",
"operationId": "patch_v1_alerts_alertId_ticket",
"parameters": [
{
"description": "Identifier of the alert returned by the alerts endpoint.",
"in": "path",
"name": "alertId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TicketRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TicketResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Update an alert's ticket link",
"tags": [
"Alerts"
],
"x-required-capabilities": [
"mcp.cap.AlertWrite"
]
}POSTรับการแจ้งเตือนสำหรับอุปกรณ์หลายเครื่อง/v1/alerts:batch-query
อ่านการแจ้งเตือนที่บันทึกไว้สำหรับชุดอุปกรณ์ที่ให้มาในคำขอเดียว
POST /v1/alerts:batch-query ↗mcp.cap.InventoryRead
พารามิเตอร์
ไม่มีพารามิเตอร์เส้นทาง แบบสอบถาม หรือส่วนหัว
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"ids": [
"<UUID>"
]
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/alerts:batch-query' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))สคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read recorded alerts for a supplied set of devices in one request.",
"operationId": "post_v1_alerts_batch_query",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IdBatch"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ItemCollectionOfAlertResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get alerts for several devices",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETรับการแจ้งเตือนอุปกรณ์/v1/devices/{deviceId}/alerts
อ่านการแจ้งเตือนที่บันทึกไว้สำหรับอุปกรณ์หนึ่งเครื่อง
GET /v1/devices/{deviceId}/alerts ↗mcp.cap.InventoryRead
พารามิเตอร์
deviceId· พาธ · ต้องมี- ตัวระบุอุปกรณ์ ที่ส่งคืนโดยรายการอุปกรณ์ที่เกี่ยวข้อง เอเจนต์ที่ได้รับการจัดการและอุปกรณ์เครือข่ายที่ค้นพบมีตัวระบุที่แตกต่างกัน
ตัวอย่างคำขอ
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/alerts' `
-Headers $headersสคีมาคำขอและการตอบสนอง (OpenAPI)
{
"description": "Read recorded alerts for one device.",
"operationId": "get_v1_devices_deviceId_alerts",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ItemCollectionOfAlertResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
[...]
